Company logoTrust Center Documentation
API v1 ReferenceNda templates

List NDA templates

Retrieve all NDA templates for the authenticated tenant. Browse request parameters, authentication requirements, response payloads, and working code samples…

Retrieve all NDA templates for the authenticated tenant

GET
/api/v1/nda-templates

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token obtained from login endpoint

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://app.orbiqhq.com/api/v1/nda-templates"
{
  "templates": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "tenant": "123e4567-e89b-12d3-a456-426614174000",
      "title": "Standard Bilateral NDA",
      "type": "bilateral",
      "content_markdown": "# Non-Disclosure Agreement\n\nThis agreement...",
      "validity_in_months": 12,
      "language": "en",
      "date_created": "2024-01-15T10:30:00Z",
      "date_updated": "2024-01-15T10:30:00Z"
    }
  ]
}
{
  "error": "Unauthorized"
}
{
  "error": "Internal server error"
}

How is this guide?